## javax.media.j3d
Class PickShape

    java.lang.Object
      javax.media.j3d.PickShape

Direct Known Subclasses:
  PickBounds, PickCone, PickCylinder, PickPoint, PickRay, PickSegment

    public abstract class PickShape

extends java.lang.Object

An abstract class for describing a pick shape that can be used with the BranchGroup and Locale picking methods.

See Also:
  `BranchGroup.pickAll(javax.media.j3d.PickShape)`, `Locale.pickAll(javax.media.j3d.PickShape)`

Constructor Summary
`PickShape()` Constructs a PickShape object.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PickShape

    public PickShape()

  Constructs a PickShape object.

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.